Bug 2162892 - Backport fix for MPI_Allgatherv
Summary: Backport fix for MPI_Allgatherv
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mpich
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-21 20:35 UTC by Ben Boeckel
Modified: 2023-03-02 02:48 UTC (History)
1 user (show)

Fixed In Version: mpich-4.0.2-4.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-02 02:48:46 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ben Boeckel 2023-01-21 20:35:04 UTC
Could this patch please be backported to the 4.0 packages (waiting for upstream to merge is probably prudent though)?

https://github.com/pmodels/mpich/pull/6374

Without it, a non-zero `displs[0]` is ignored in a fastpath case.

Thanks.

Comment 1 Ben Cotton 2023-02-07 15:06:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 2 Ben Boeckel 2023-02-13 15:30:49 UTC
PR to fix it in Fedora 37: https://src.fedoraproject.org/rpms/mpich/pull-request/6

Comment 3 Fedora Update System 2023-02-22 06:48:31 UTC
FEDORA-2023-597a366da6 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-597a366da6

Comment 4 Fedora Update System 2023-02-22 11:25:20 UTC
FEDORA-2023-597a366da6 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-597a366da6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-597a366da6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-03-02 02:48:46 UTC
FEDORA-2023-597a366da6 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.